Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class SetPropertyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
              com.bea.p13n.usermgmt.servlets.jsp.taglib.PropertyTag
                  com.bea.p13n.usermgmt.servlets.jsp.taglib.SetPropertyTag

All Implemented Interfaces
  UserManagementTagConstants, Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated Use com.bea.p13n.usermgmt.taglib.SetPropertyTag

    public class SetPropertyTag

extends PropertyTag

Corresponds to `<um:setProperty>`.

The `<um:setProperty>` tag updates a property value for either the session's current profile, or for the Anonymous User Profile. The tag has no enclosed body.

Tag Attribute | Required | Type | Description
propertySet | no | String | The Property Set in which the property's value is to be set. Example: "Demo Portal". Note: The property is set for the profile's default (unscoped) properties if no property set is provided.
propertyName | yes | String | The name of the property to be set. Example: "background_color".
value | yes | String | The new property value. Example: "green".
result | no | String | The name of an Integer variable to which the result of the set property operation is assigned. Possible Values: Success: `UserManagerTagConstants.SET_PROPERTY_OK` Error encountered: `UserManagerTagConstants.SET_PROPERTY_FAILED`

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagConstants
`ADD_GROUP_FAILED, ADD_GROUP_OK, ADD_USER_FAILED, ADD_USER_OK, CREATE_GROUP_FAILED, CREATE_GROUP_OK, CREATE_USER_FAILED, CREATE_USER_OK, DEFAULT_SEARCH_EXP, DEFAULT_USER_LIMIT, GET_PROFILE_FAILED, GET_PROFILE_OK, GROUP_CHANGE_FAILED, GROUP_CHANGE_OK, GROUP_EXISTS, LOGIN_ERROR, LOGIN_FAILED, LOGIN_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, REMOVE_GROUP_FAILED, REMOVE_GROUP_OK, REMOVE_USER_FAILED, REMOVE_USER_OK, RESERVED_GROUP_NAME, RESERVED_USER_NAME, SET_PASSWORD_FAILED, SET_PASSWORD_OK, SET_PROPERTY_FAILED, SET_PROPERTY_OK, USER_EXISTS, USER_LIMIT_EXCEEDED, USER_SEARCH_FAILED, USER_SEARCH_OK`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetPropertyTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated Set the property in the current profile.
`String` | `getResult()` Deprecated Get the name of the variable to assign the result to
`Object` | `getValue()` Deprecated Get the value to set for the property
`void` | `release()` Deprecated Reset all of the tag's attributes
`void` | `setResult(String s)` Deprecated Set the name of the variable to assign the result to
`void` | `setValue(Object o)` Deprecated Set the value to set for the property
`void` | `setValue(String s)` Deprecated Set the value to set for the property, as a String

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.PropertyTag
`getPropertyName, getPropertySet, setPropertyName, setPropertySet`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetPropertyTag

    public SetPropertyTag()

  Deprecated

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated
  Set the property in the current profile.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Deprecated
  Reset all of the tag's attributes

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `PropertyTag`

### getValue

    public Object getValue()

  Deprecated
  Get the value to set for the property

### setValue

    public void setValue(Object o)

  Deprecated
  Set the value to set for the property

### setValue

    public void setValue(String s)

  Deprecated
  Set the value to set for the property, as a String

### getResult

    public String getResult()

  Deprecated
  Get the name of the variable to assign the result to

### setResult

    public void setResult(String s)

  Deprecated
  Set the name of the variable to assign the result to

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.